//+------------------------------------------------------------------+
//|                                                   TFF_trader.mq5 |
//|                               Copyright 2014-2021, EarnForex.com |
//|                                              Developed by denkir |
//|                           https://login.mql5.com/ru/users/denkir |
//+------------------------------------------------------------------+
#property copyright "EarnForex.com"
#property link      "https://www.earnforex.com/guides/backtesting-strategies-based-on-commitments-of-traders/"
#property version   "1.01"

#include "TFF_trader_functions.mqh"

//+------------------------------------------------------------------+
//|                        Globals                                   |
//+------------------------------------------------------------------+
string curr_program_name;
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
{
    curr_program_name = MQLInfoString(MQL_PROGRAM_NAME); // имя программы
//---
    if(InpSignalNum < 1 || InpSignalNum > 32)
    {
        Alert("Неверно задан номер сигнала!");
        return INIT_PARAMETERS_INCORRECT;
    }
//---
    if(!myReport.Init())
    {
        Alert("Ошибка инициализации советника \"" + curr_program_name + "\"!"); // запись в журнал
        return INIT_FAILED;
    }
    else
    {
        Print("Советник \"" + curr_program_name + "\" успешно инициализирован."); // запись в журнал
        return INIT_SUCCEEDED;
        // if(IS_DEBUG_MODE) OnTick();
    }
}
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
{
//---
    Print("Советник \"" + curr_program_name + "\" деинициализирован."); // запись в журнал
}
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
{
//---
    Main();
}
//+------------------------------------------------------------------+